document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_16100 | ---
+++
@@ -5,12 +5,15 @@
alias flushdns="sudo killall -HUP mDNSResponder"
alias fixopenwith='/System/Library/Frameworks/CoreServices.framework/Frameworks/LaunchServices.framework/Support/lsregister -kill -r -domain local -domain system -domain user'
-if ps -ax | grep '[b]oot2docker' > /dev/null
+if ps -ax | grep... | bash |
d_bash_16101 | ---
+++
@@ -11,7 +11,7 @@
git clone git@github.com:nextcloud/documentation.git /tmp/nextcloud-documentation
cd /tmp/nextcloud-documentation
-for branch in stable12 stable13 stable14 master
+for branch in stable13 stable14 stable15 master
do
git checkout $branch
cd $currentDir | bash |
d_bash_16102 | ---
+++
@@ -27,6 +27,7 @@
exit 1
fi
+ssh $USER@$HOST "mkdir -p $REMOTEDIR"
scp -r $CADIR/ca.pem $USER@$HOST:$REMOTEDIR/ca.pem
scp -r $DIR/key.pem $USER@$HOST:$REMOTEDIR/key.pem
scp -r $DIR/cert.pem $USER@$HOST:$REMOTEDIR/cert.pem | bash |
d_bash_16103 | ---
+++
@@ -4,6 +4,9 @@
# Exit immediately if some command fails
set -e
+
+# replace baked-in mirror with local one
+sed -i -E 's#https?:\/{2}[^ \t]+#mirror://mirrors.ubuntu.com/mirrors.txt#' /etc/apt/sources.list
apt-get -y update
apt-get -y upgrade | bash |
d_bash_16104 | ---
+++
@@ -7,4 +7,4 @@
-e AWS_DEFAULT_REGION=$AWS_DEFAULT_REGION \
-e AWS_SECRET_ACCESS_KEY=$AWS_SECRET_ACCESS_KEY \
-e AWS_ACCESS_KEY_ID=$AWS_ACCESS_KEY_ID \
- genesysarch/cloud-workstation $@
+ jmahowald/cloud-workstation $@ | bash |
d_bash_16105 | ---
+++
@@ -3,7 +3,7 @@
file="${filename%%.*}"
ext="${filename#$file}"
instruction="convert \"$filename\" "
- for n in 512 256 384 192 152 144 96 72 48; do
+ for n in 512 256 384 192 152 128 144 96 72 48; do
instruction="$instruction \( -clone 0 -resize ${n}x${n} ... | bash |
d_bash_16106 | ---
+++
@@ -7,20 +7,30 @@
srcdir=`pwd`
cd $WORKDIR
-PART=$1
+latex=latex
+if [ "$1" = "--pdf" ] ; then
+ pdf=true
+ latex=pdflatex
+ shift 1
+fi
-TEXINPUTS=$srcdir/$PART:$TEXINPUTS
+part=$1; shift 1
+
+TEXINPUTS=$srcdir/$part:$TEXINPUTS
export TEXINPUTS
set -x
-$srcdir/tools/newind.py >$PART.ind ||... | bash |
d_bash_16107 | ---
+++
@@ -11,6 +11,7 @@
docker run --name eos-binaries-$BUILDKITE_COMMIT -v $(pwd):/workdir -e JOBS -e ENABLE_INSTALL=true -e ENABLE_PARALLEL_TESTS=false -e ENABLE_SERIAL_TESTS=false -e TRAVIS=true $FULL_TAG
docker commit eos-binaries-$BUILDKITE_COMMIT $EOS_BINARIES_TAG
+docker commit eos-binaries-$BUILDKITE_CO... | bash |
d_bash_16108 | ---
+++
@@ -6,8 +6,9 @@
echo "Building docker images"
IMAGE_NAME=wiotp/iotpsutil
+ IMAGE_SRC=samples/iotpsutil
- docker build -t ${IMAGE_NAME}:$TRAVIS_BRANCH .
+ docker build -t ${IMAGE_NAME}:$TRAVIS_BRANCH ${IMAGE_SRC}
if [ "$TRAVIS_PULL_REQUEST" == "false" ]; then
if [ "$TRAVIS_... | bash |
d_bash_16109 | ---
+++
@@ -3,8 +3,6 @@
volume_id=${VOLUME_ID}
fs_type=${FS_TYPE}
filesys=${PARTITION_NAME}
-
-(eval $(blkid $DEV | awk ' { print $3 } '); echo $TYPE)
if [ -z "${volume_id}" ]; then
mkfs_executable='' | bash |
d_bash_16110 | ---
+++
@@ -11,6 +11,25 @@
declare -a boosters=( "http" "health-check" "crud" "configmap" "circuit-breaker" )
declare -a failed=( )
+execute_test() {
+ local canonical_name=$1
+ local git_name=$2
+
+ cd ${git_name}
+
+ echo "Running tests of booster ${canonical_name} in ${PWD}"
+
+ mvn -q -B clean ... | bash |
d_bash_16111 | ---
+++
@@ -19,19 +19,19 @@
["wri"]="odt"
)
-for old_extension in "${!extensions[@]}"; do
- for old_filepath in `find . | grep -i ".$old_extension$"`; do
+for old_lowercase_extension in "${!extensions[@]}"; do
+ find . | grep -i ".$old_lowercase_extension$" | while read old_filepath; do
current... | bash |
d_bash_16112 | ---
+++
@@ -30,8 +30,8 @@
echo "Fetching mappings for $domain..."
./munge/extract-mappings.rb $domain < ./document_mappings.csv | $make_mappings_file
-echo "Folding mappings..."
-./munge/fold-mappings.rb < $mappings_out > $folded_mappings
+echo "Folding and tidying mappings..."
+cat $mappings_out | ./munge/fold-m... | bash |
d_bash_16113 | ---
+++
@@ -11,3 +11,4 @@
apt-get -y install npm # for jstests
apt-get -y install nodejs-legacy # for grunt, which calls `node` executable
# (which was renamed to `nodejs` in Debian/Ubuntu)
+apt-get -y install default-jre # jstests need java to run selenium | bash |
d_bash_16114 | ---
+++
@@ -3,7 +3,7 @@
mds=$( gcloud deployment-manager deployments describe lustre --format json \
| jq -r '.resources[]|select(.type=="compute.v1.instance")|.name' \
| grep mds)
-for id in "${mds}"; do
+for id in ${mds}; do
gcloud compute instances start "${id}" --zone=asia-northeast1-c
done
@@ ... | bash |
d_bash_16115 | ---
+++
@@ -8,12 +8,13 @@
cd "@CMAKE_SOURCE_DIR@"
-find -version > /dev/null 2>&1 > /dev/null && FIND=find || FIND='find -E'
+# Use (non-emacs) extended regex for GNU find or BSD find
+find -version > /dev/null 2>&1 > /dev/null && FIND='find scripts -regextype egrep' || FIND='find -E scripts'
# this way we al... | bash |
d_bash_16116 | ---
+++
@@ -14,5 +14,7 @@
hciconfig ${HCIDEVICE} up
fi
+mkdir -p /opt/candy-red
+
logger -s "Starting %SERVICE_NAME%..."
-/usr/bin/env node ${NODE_OPTS} %SERVICE_HOME%/dist/index.js
+HOME=/opt/candy-red /usr/bin/env node ${NODE_OPTS} %SERVICE_HOME%/dist/index.js | bash |
d_bash_16117 | ---
+++
@@ -4,6 +4,9 @@
# Navigate to the top directory of your Laravel application
cd ~/Sites/presentation/mvc-basics
+
+# You can review the migrations before they've run using the following command
+php artisan migrate:status
# Use artisan to run your database migrations
php artisan migrate | bash |
d_bash_16118 | ---
+++
@@ -10,3 +10,13 @@
echo
echo '# Remove desired images'
echo "docker images -a | grep -e '<none>' -e cave_ | awk '{print \$3}' | xargs docker rmi -f"
+
+# http://stackoverflow.com/questions/17236796/how-to-remove-old-docker-containers
+# Old containers
+# docker ps -a | grep 'weeks ago' | awk '{print $1}' |... | bash |
d_bash_16119 | ---
+++
@@ -2,7 +2,7 @@
alias cdbl='cd $HOME/Dropbox/Sites/chatswood.org.uk/blog'
alias cddf='cd $HOME/.dotfiles'
alias cddr='cd $HOME/Dropbox'
-alias g='hub'
+alias g='hub'; compdef hub='git'
alias gcom='git checkout master'
alias gr='grep'
alias grep='grep --color' | bash |
d_bash_16120 | ---
+++
@@ -1,6 +1,9 @@
#! /bin/bash -eu
rm -rf node_modules
+T="$(date +%s)"
npm install --production
+T="$(($(date +%s)-T))"
+echo "npm install completed in ${T} seconds"
npm dedupe
npm run build-app | bash |
d_bash_16121 | ---
+++
@@ -11,5 +11,5 @@
# Gradle is needed for building the project
# If gradle-1.11 is not available (returns error), install the PPA repo
-sudo apt-get install gradle-1.11 || sudo add-apt-repository ppa:cwchien/gradle
+sudo apt-get install gradle-1.11 || (sudo add-apt-repository ppa:cwchien/gradle && sudo apt... | bash |
d_bash_16122 | ---
+++
@@ -19,6 +19,25 @@
$(git -C $dir remote -v update) || continue
fi
+ if [[ $@ == "-d" ]] || [[ $@ == "--dirty" ]]; then
+ git=`git -C $dir status -s -b`
+ dir=`git -C $dir rev-parse --show-toplevel`
+ for g in $git; do
+ echo "$g" | awk -vdir="$dir" \
+ ... | bash |
d_bash_16123 | ---
+++
@@ -17,7 +17,7 @@
# Get absolute project directory from the location of this script.
# See: http://stackoverflow.com/a/4774063
-export ICEKIT_PROJECT_DIR=$(cd $(dirname "${BASH_SOURCE[0]}")/..; pwd -P)
+export ICEKIT_PROJECT_DIR=$(cd $(dirname "${BASH_SOURCE[0]}"); pwd -P)
# Execute wrapped entrypoint ... | bash |
d_bash_16124 | ---
+++
@@ -11,7 +11,7 @@
bundle exec rake lapis:api_keys:create_default
# Google Chrome
-LC_ALL=C google-chrome --headless --hide-scrollbars --remote-debugging-port=9333 --disable-gpu --ignore-certificate-errors &
+LC_ALL=C google-chrome --headless --hide-scrollbars --remote-debugging-port=9333 --disable-gpu --i... | bash |
d_bash_16125 | ---
+++
@@ -13,4 +13,4 @@
mkdir -p "$PACKAGES"
[ -f "$PACKAGE_CONTROL_PATH" ] || curl --silent "$PACKAGE_CONTROL_URL" > "$PACKAGE_CONTROL_PATH"
-cp -f "$ZSH/sublime/packages.json" "$SETTINGS/Package Control.sublime-settings"
+ln -fs "$ZSH/sublime/packages.json" "$SETTINGS/Package Control.sublime-settings" | bash |
d_bash_16126 | ---
+++
@@ -17,4 +17,4 @@
UNQ_ARTIST=$(unquote "$ARTIST")
UNQ_TITLE=$(unquote "$TITLE")
-python3 $HOME/prismriver/prismriver-lyrica.py -t "$UNQ_TITLE" -a "$UNQ_ARTIST" --async
+python3 $HOME/prismriver/prismriver-lyrica.py -t "$UNQ_TITLE" -a "$UNQ_ARTIST" | bash |
d_bash_16127 | ---
+++
@@ -2,7 +2,7 @@
# This file should be customized for each user.
# This is the API key used to communicate with Aino instance. API keys can be managed through the aino.io admin interfaces
-export AINO_API_KEY="<your-api-key-here>"
+export AINO_API_KEY="ENTER YOUR AINO API KEY HERE"
# Other variables tha... | bash |
d_bash_16128 | ---
+++
@@ -3,4 +3,4 @@
sed -i '' "s/APP_CENTER_ANDROID_KEY/$AppCenterAndroidKey/" $APPCENTER_SOURCE_DIRECTORY/DotNetRu.Utils/Config/config.json
sed -i '' "s/APP_CENTER_IOS_KEY/$AppCenteriOSKey/" $APPCENTER_SOURCE_DIRECTORY/DotNetRu.Utils/Config/config.json
sed -i '' "s/PUSH_NOTIFICATIONS_CHANNEL/$PushNotification... | bash |
d_bash_16129 | ---
+++
@@ -22,9 +22,13 @@
unset CUDA_HOME
EOF
-# Symlink `nvcc` into `bin` so it can be easily run.
+# Create `nvcc` script in `bin` so it can be easily run.
mkdir -p "${PREFIX}/bin"
-ln -s "${CUDA_HOME}/bin/nvcc" "${PREFIX}/bin/nvcc"
+cat > "${PREFIX}/bin/nvcc" <<'EOF'
+#!/bin/bash
+"${CUDA_HOME}/bin/nvcc" -cc... | bash |
d_bash_16130 | ---
+++
@@ -8,7 +8,13 @@
exit 0
fi
-npm install
+# If yarn.lock present, use yarn, otherwise use npm
+if [ -f yarn.lock ]
+then
+ yarn install
+else
+ npm install
+fi
# If bower configuration and bower command are present install bower dependencies
if [ -f bower.json ] | bash |
d_bash_16131 | ---
+++
@@ -21,6 +21,9 @@
function enableProxy {
${SSH_CMD} ${SSH_DEBUG_OPTS} 2> ${LOG_FILE}
showStatus
+ if [ $? != 0 ]; then
+ echo Please check ${LOG_FILE} for more detailed information
+ fi
}
function disableProxy {
@@ -33,8 +36,10 @@
ps -ax | grep "${SSH_CMD}" | grep -v grep > /... | bash |
d_bash_16132 | ---
+++
@@ -4,7 +4,6 @@
BUILDROOT="$(git rev-parse --show-toplevel)"
pushd "$BUILDROOT" &>/dev/null
- sudo chown root:root tests/credentials/*
./autogen.sh
./configure --disable-silent-rules --disable-man
make check | bash |
d_bash_16133 | ---
+++
@@ -8,12 +8,10 @@
--transform babelify \
--external react \
--external react-dom \
- --external prop-types \
--debug \
| youemdee ReactAutocomplete \
--dependency react:React \
--dependency react-dom:ReactDOM \
- --dependency prop-types:PropTypes \
| exorcist react-au... | bash |
d_bash_16134 | ---
+++
@@ -6,7 +6,8 @@
# check PHP files
for FILE in $(find config-templates hooks lib www -name "*.php"); do
$PHP -l "$FILE" > /dev/null 2>&1
- if [ $? -ne 0 ]; then
+ if ! $PHP -l "$FILE" > /dev/null 2>&1
+ then
echo "Syntax check failed for ${FILE}"
RETURN=$(expr ${RETURN} + 1)
fi | bash |
d_bash_16135 | ---
+++
@@ -1,3 +1,5 @@
+include string.util.StringUtil
+
TestExecutor(){
executeTest(){
local group=${1}
@@ -5,8 +7,8 @@
local tests=(${@})
for test in ${tests[@]}; do
- if [[ $(${group} test.${test}) == FAIL ]]; then
- echo ${group}#test.${test}
+ if [[ $(${group} test$(StringUtil capitalize ${... | bash |
d_bash_16136 | ---
+++
@@ -28,6 +28,8 @@
# Re-deploy pachd with new mount containing TLS key
pachctl deploy local -d --tls="$cert,$key" --dry-run | kubectl apply -f -
+pachctl config update context --pachd-address="grpcs://$hostport"
+
# Wait 30s for new pachd to come up
echo -n "Waiting for new pachd to come up"
retries=15 | bash |
d_bash_16137 | ---
+++
@@ -7,16 +7,15 @@
if [ -z "$(ls -A "$PGDATA")" ]; then
gosu postgres initdb
- pg_createcluster $PG_MAJOR main
+ gosu postgres postgres --single -E <<EOSQL
+ CREATE DATABASE template_postgis
+ UPDATE pg_database SET datistemplate = TRUE WHERE datname = 'template_postgis'
+EOSQL
- ... | bash |
d_bash_16138 | ---
+++
@@ -3,5 +3,5 @@
cd /home/deploy/Env/booksonas
source bin/activate
cd /home/deploy/bockus
-python manage.py update_index --age=1 --settings=bockus.prod_settings
+python manage.py update_index --remove --age=1 --settings=bockus.prod_settings
deactivate | bash |
d_bash_16139 | ---
+++
@@ -1,7 +1,8 @@
#!/usr/bin/env bash
if [ "$TRAVIS_OS_NAME" == "linux" ]; then
- sudo apt-get install python-setuptools
+ #sudo apt-get install python-setuptools
+ pip install setuptools
elif [ "$TRAVIS_OS_NAME" == "osx" ]; then
# noop?
pip install setuptools | bash |
d_bash_16140 | ---
+++
@@ -3,4 +3,4 @@
# cron will not source .bashrc, so we need to do it in a script.
HOME=/home/dan
source ${HOME}/.bashrc
-${HOME}/TuscaroraTesting/testBranch.py ~/Tuscarora/TuscaroraFW/validate.sh dev master
+${HOME}/TuscaroraTesting/testBranch.py ~/Tuscarora/TuscaroraFW/validate.sh dev master v095 rcop | bash |
d_bash_16141 | ---
+++
@@ -14,6 +14,3 @@
# set finder to display full path in title bar
defaults write com.apple.finder '_FXShowPosixPathInTitle' -bool true
-# allow a user to choose a language input method from a pop-up menu in the login window
-# useful if keyboard left in dvorak or comak
-defaults write /Library/Preferences/... | bash |
d_bash_16142 | ---
+++
@@ -14,3 +14,4 @@
fi
make
+make dist | bash |
d_bash_16143 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh
KERL_INSTALL_PATH=~/erlang
-KERL_RELEASES="r15b01 r15b02 r15b03 r16b r16b01 r16b02 r16b03 maint master"
+KERL_RELEASES="r15b01 r15b02 r15b03 r16b r16b01 r16b02 r16b03 r16b03-1 maint master"
make build-tests
| bash |
d_bash_16144 | ---
+++
@@ -10,5 +10,20 @@
# https://github.com/chriskempson/base16-shell
#==============================================================================
-BASE16_SHELL="$HOME/.config/base16-shell/base16-default.dark.sh"
+# Including favorites here for easier switching.
+
+#_base_16_shell_theme="3024"
+#_base_16_s... | bash |
d_bash_16145 | ---
+++
@@ -4,3 +4,5 @@
# gitk provides a UI to view history.
sudo apt-get install gitg gitk -y
+
+sudo apt-get install -y mercurial tortoisehg kdiff3 meld | bash |
d_bash_16146 | ---
+++
@@ -5,34 +5,14 @@
for vsix_file in $vsix_files
do
- echo vsix_file=${vsix_file}
- echo "We should be runing the following command!"
+ echo "****************************************************************"
+ echo "*** Publishing : ${vsix_file}"
+ echo "**************************************... | bash |
d_bash_16147 | ---
+++
@@ -16,5 +16,5 @@
rm liquibase*.tar.gz
rm mysql-connector*.tar.gz
# copy config script
- cp setup.ph liquibase/
+ mv setup.ph liquibase/
fi | bash |
d_bash_16148 | ---
+++
@@ -1 +1,34 @@
#!/usr/bin/env bash
+
+SCRIPT_HOME="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+cd $SCRIPT_HOME/..
+
+VERSION=`./gradlew -q getVersion`
+echo "Currently configured version: $VERSION"
+read -p "Enter release version name and press [ENTER]: " RELEASE_VERSION
+
+echo "Updating gradle.prop... | bash |
d_bash_16149 | ---
+++
@@ -13,8 +13,8 @@
cd $SITE_DIR
- # Reset files where only commit metadata has changed (disable until commit metadata is generated)
- # ruby ../.travis/clean.rb
+ # Reset files where only commit metadata has changed
+ ruby ../.travis/clean.rb
# commit site
git config user.email "ditaotbot@gmai... | bash |
d_bash_16150 | ---
+++
@@ -11,7 +11,7 @@
trap 'pkill -P $$ || true' EXIT
"$TESTDIR"/echo/serve &
-sleep 1
+sleep 2
if (( $debug ))
then | bash |
d_bash_16151 | ---
+++
@@ -1,5 +1,8 @@
-autoload -Uz compinit
-compinit -u
+# compinit is automatically loaded in zplug
+if ! (type compinit &>/dev/null) ; then
+ autoload -Uz compinit
+ compinit -u
+fi
# Set LS_COLORS variable
if [[ -z "${LS_COLORS}" ]]; then | bash |
d_bash_16152 | ---
+++
@@ -22,3 +22,9 @@
green_print "Linking $pwd/$key to ${special_files[$key]}"
ln -si "$pwd/$key" "${special_files[$key]}"
done
+
+# If fish is present, install oh-my-fish
+if which fish > /dev/null && [[ ! -e ~/.oh-my-fish ]]; then
+ green_print "Installing oh-my-fish"
+ curl -L "https://github.com/bpi... | bash |
d_bash_16153 | ---
+++
@@ -2,5 +2,5 @@
if [ "$TRAVIS_BRANCH" = 'master' ] && [ "$TRAVIS_PULL_REQUEST" == 'false' ]; then
openssl aes-256-cbc -K $encrypted_46b4bbc90abb_key -iv $encrypted_46b4bbc90abb_iv -in cd/codesigning.asc.enc -out cd/codesigning.asc -d
- gpg --fast-import cd/signingkey.asc
+ gpg --fast-import cd/co... | bash |
d_bash_16154 | ---
+++
@@ -9,6 +9,6 @@
mkdir -p build-binary
pushd opensuse-cf-binary-builder
./bin/binary-builder --name="${NAME}" --version="${VERSION}" --sha256="${SHA256}"
- ../opensuse-cf-fs2/bin/sha1stamp ./*.tar.gz
- mv ./*.tar.gz ../build-binary/
+ ../opensuse-cf-fs2/bin/sha1stamp ./*.tgz
+ mv ./*.tgz ../build-bina... | bash |
d_bash_16155 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash -e
-SHUTDOWN_LOG="${LOG_DIR}/shutdown_stdout.log"
+SHUTDOWN_LOG="${LOG_DIR:-/var/vcap/sys/log/rabbitmq-server}/shutdown_stdout.log"
PID_FILE="${1:?First argument must be a running PID}"
RUNNING_PID=$(cat "$PID_FILE") | bash |
d_bash_16156 | ---
+++
@@ -8,7 +8,7 @@
rm -rf cmake-build
mkdir cmake-build && cd cmake-build
-cmake -DBUILD_SHARED_LIBS:BOOL=ON -DTHREADSAFE:BOOL=ON -DBUILD_CLAR:BOOL=OFF -DCMAKE_INSTALL_PREFIX=./libgit2-bin -DSONAME_APPEND=$SHORTSHA ../libgit2
+cmake -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo -DTHREADSAFE:BOOL=ON -DBUILD_CLAR:B... | bash |
d_bash_16157 | ---
+++
@@ -5,7 +5,9 @@
[ "$TRAVIS_PULL_REQUEST" == "false" ] && \
[ "$TRAVIS_BRANCH" == "master" ]; then
echo -e "Publishing javadoc...\n"
+
mvn javadoc:aggregate
+ TARGET="$(pwd)/target"
cd $HOME
git clone --quiet --branch=gh-pages https://${GH_TOKEN}@github.com/google/truth gh-pages > /dev... | bash |
d_bash_16158 | ---
+++
@@ -9,7 +9,8 @@
PARALLEL_TESTS="EmptyDir|Conformance"
PARALLEL_SKIP="Serial|Flaky|Disruptive|Slow|should be applied to XFS filesystem when a pod is created"
# Need to debug
-PARALLEL_SKIP="Prometheus|" + $PARALLEL_SKIP
+PARALLEL_SKIP="Prometheus|"$PARALLEL_SKIP
+echo $PARALLEL_SKIP
SERIAL_TESTS="Serial"
... | bash |
d_bash_16159 | ---
+++
@@ -6,4 +6,4 @@
sed "s/^\([0-9]\+\.[0-9]\+\.[0-9]\+\)\(.\+\)/\1-\2/" | \
sed "s/--/-/g"`
sed -i "s/\"version\": .*/\"version\": \"$VERSION\",/" packages/*/package.json
-sed -i "s/\"@wq\/\(.\+\)\": \".\+\"/\"@wq\/\1\": \"*\"/" packages/*/package.json
+sed -i "s/\"@wq\/\(.\+\)\": \".\+\"/\"@w... | bash |
d_bash_16160 | ---
+++
@@ -23,6 +23,8 @@
brew install mongodb postgresql
# Big data
brew install apache-spark
+# React native tools
+brew install watchman
# Scala
brew install scala sbt | bash |
d_bash_16161 | ---
+++
@@ -2,3 +2,4 @@
mysql --defaults-file=/data/project/mrmetadata/.my.cnf -h commonswiki.labsdb < /data/project/mrmetadata/commons_query.txt > /data/project/mrmetadata/commons_list.txt
sed -i.orig -e '1d' commons_list.txt
mysql --defaults-file=/data/project/mrmetadata/.my.cnf -h commonswiki.labsdb < /data/pro... | bash |
d_bash_16162 | ---
+++
@@ -25,5 +25,7 @@
${name}')
cd /var/local/git/grpc/test
bazel test --spawn_strategy=standalone --genrule_strategy=standalone --test_output=errors //src/python/...
+bazel test --spawn_strategy=standalone --genrule_strategy=standalone --test_output=errors //examples/python/...
bazel clean --expunge
bazel t... | bash |
d_bash_16163 | ---
+++
@@ -1,13 +1,13 @@
#! /bin/bash
bak=/mnt/backup
-
-sudo umount $bak
-sudo mount $bak
+
+sudo /bin/umount $bak
+sudo /bin/mount $bak
if [ $? -eq 0 ]; then
- rsync -avvi --progress /opt/data/family/ $bak/family/
- rsync -avvi --progress $bak/family/ /opt/data/family/
+ rsync -au --progress --size-onl... | bash |
d_bash_16164 | ---
+++
@@ -10,12 +10,7 @@
# python_arch.sh /path/to/sysroot/usr/lib/libpython2.4.so.1.0
#
-python=$(readlink -f "$1")
-if [ ! -r "$python" ]; then
- echo unknown
- exit 0
-fi
-file_out=$(file "$python")
+file_out=$(file --dereference "$1")
if [ $? -ne 0 ]; then
echo unknown
exit 0 | bash |
d_bash_16165 | ---
+++
@@ -22,7 +22,7 @@
source=$file
cat $file
fi
- sed "s,XDATE,`ident $source | awk '{printf "%s %s", $4, $5}'`," bottom.html
+ sed "s,XDATE,`git log -1 --pretty=%ad $source`," bottom.html
) >build/$base.html
xml val -d /pub/schema/xhtml1-transitional.dtd build/$base.html
done | bash |
d_bash_16166 | ---
+++
@@ -38,6 +38,7 @@
sleep 2
-greenclip daemon &
+copyq &
+#greenclip daemon &
emacs --daemon & | bash |
d_bash_16167 | ---
+++
@@ -26,7 +26,7 @@
mkdir ~/.fonts
fi
-mv *.TTY ~/.fonts/
+mv *.TTF ~/.fonts/
cd ~/.fonts
mkfontsdir
xset fp+ ~/.fonts | bash |
d_bash_16168 | ---
+++
@@ -28,9 +28,9 @@
# Check whether assets need to be rebuilt.
FORCE=true build/assets.sh
-if [[ ! -z "$(git diff --name-only pages)" ]]; then
+if [[ ! -z "$(git diff --name-only -- cmd/internal/pages)" ]]; then
echo "Found changes to UI assets:"
- git diff --name-only pages
+ git diff --name-only -- c... | bash |
d_bash_16169 | ---
+++
@@ -24,4 +24,5 @@
${PYTHON} get-pip.py --ignore-installed
rm get-pip.py
+${PYTHON} -m pip install --upgrade --ignore-installed setuptools
${PYTHON} -m pip install --ignore-installed conan | bash |
d_bash_16170 | ---
+++
@@ -1,6 +1,10 @@
#!/bin/bash
-# Need to first update the local repo before installing anything
+# Add Mesosphere releases as a package source
+echo "deb http://repos.mesosphere.io/ubuntu trusty main" >> \
+ /etc/apt/sources.list.d/mesosphere.list
+
+# Update the local repo before installing anything
apt-... | bash |
d_bash_16171 | ---
+++
@@ -7,8 +7,8 @@
files=`ls -1 -S *.smt2`
for f in $files; do
- stp --simplifying-minisat --output-CNF $f
- cnf=`cat output_*.cnf | wc -l`
+ stp --output-CNF $f
+ cnf=`cat output_*.cnf | grep -v "^c" | grep -v "^$" | wc -l`
if [ $cnf -gt 3 ] ; then
echo --fail
exit 10 | bash |
d_bash_16172 | ---
+++
@@ -15,7 +15,8 @@
# which are the ones marked with data-level="1.1". This causes the GitBook
# scripts to redirect to the index page rather fetching and replacing just
# the content area, as they do for proper GitBook-generated pages.
-sed -i"" 's,<li class="chapter " data-level="1.1" data-path="[^"]*">,<l... | bash |
d_bash_16173 | ---
+++
@@ -2,7 +2,7 @@
if [[ $TRAVIS_OS_NAME == 'osx' ]]; then
brew update
- brew install openssl readline xz
+ brew install openssl readline xz python python3
brew outdated pyenv || brew upgrade pyenv
brew install pyenv-virtualenv
| bash |
d_bash_16174 | ---
+++
@@ -11,15 +11,16 @@
<items>
EOF
+IFS_BACKUP=${IFS}
+IFS=$'\n';
+
# check if prefix match first
-(
-IFS=$'\n';
-files=`ls ~/.irkit.d/signals/ | grep ^${q}`
-if [ -z ${files} ]; then
- files=`ls ~/.irkit.d/signals/ | grep ${q}`
+files=(`ls ~/.irkit.d/signals/ | grep "^${q}"`)
+if [ ${#files[@]} == 0 ]; th... | bash |
d_bash_16175 | ---
+++
@@ -6,6 +6,6 @@
if [ -z "$ONLY_CHECK" ]; then
./gradlew cobertura
~/jpm/bin/codacy-coverage-reporter --language Java --coverageReport build/reports/cobertura/coverage.xml --projectToken "$codacy_project_token"
- ./gradlew clean sonarqube -Dsonar.host.url=$sonar_host -Dsonar.login=$sonar_login
+ ... | bash |
d_bash_16176 | ---
+++
@@ -1,19 +1,12 @@
-echo "Generating googletest libraly"
+echo "Generating googletest library"
clang++ -std=c++1y -pthread -g -Wall -Wextra -isystem tests/googletest/googletest/include -isystem tests/googletest/googletest/ -c -o tests/gtest-all.o tests/googletest/googletest/src/gtest-all.cc
-echo "Done compil... | bash |
d_bash_16177 | ---
+++
@@ -14,6 +14,5 @@
rm -rf app/cache/*
suitename=${1:-deputy}
+/sbin/setuser app php vendor/phpunit/phpunit/phpunit -c app/
/sbin/setuser app bin/behat --config=tests/behat/behat.yml.dist --suite=$suitename --stop-on-failure
-/sbin/setuser app php vendor/phpunit/phpunit/phpunit -c app/
- | bash |
d_bash_16178 | ---
+++
@@ -7,8 +7,8 @@
# ββββββ ββββββ βββ βββββββ βββββββ
# ββββββ ββββββ ββ ββ βββ βββββ
+source $HOME/.zsh/_zgen.zsh
source $HOME/.zsh/base.zsh
-source $HOME/.zsh/_zgen.zsh
source $HOME/.zsh/_chruby.zsh
source $HOME/.zsh/_env.zsh
source $HOME/.zsh/_aliases.zsh | bash |
d_bash_16179 | ---
+++
@@ -8,7 +8,7 @@
fi
BRANCH=${TRAVIS_PULL_REQUEST_BRANCH:-$TRAVIS_BRANCH}
-TAG=`if [ "$BRANCH" == "master" ]; then echo "latest"; else echo $BRANCH ; fi`
+TAG=`if [ "$BRANCH" == "master" ]; then echo "latest"; else echo $TRAVIS_COMMIT ; fi`
docker build -t weinstein/app:$TAG -f deploy/app.docker .
docke... | bash |
d_bash_16180 | ---
+++
@@ -1,8 +1,8 @@
#!/bin/bash -eux
# set a fast, german mirror
-sed -ie 's,http://us.archive.ubuntu.com/ubuntu/,http://ubuntu.mirror.lrz.de/ubuntu/,g' /etc/apt/sources.list
-sed -ie 's,http://security.ubuntu.com/ubuntu,http://ubuntu.mirror.lrz.de/ubuntu/,g' /etc/apt/sources.list
+sed -ie 's,[a-z.]*archive.u... | bash |
d_bash_16181 | ---
+++
@@ -18,6 +18,8 @@
OUTPUT=$(cat output.txt | tr '\n' ' ')
if [ "${OUTPUT}" != 'noot mies ' ]
then
+ echo "Got: '${OUTPUT}' expected 'noot mies '"
exit 1
fi
+echo ${RETV}
exit ${RETV} | bash |
d_bash_16182 | ---
+++
@@ -6,18 +6,27 @@
cd $save_dir || exit 1
for layer_id in $@; do
#layer_id=$(sed 's/ //g' <<<$layer_id)
- new_id=$(read -n 16 </dev/urandom | shasum -a 256 - | sed 's/\s*-$//' | sed 's/ //g')
+ new_id=$(echo $RANDOM | shasum -a 256 - | sed 's/\s*-$//' | sed 's/ //g')
echo "Creating new layer ... | bash |
d_bash_16183 | ---
+++
@@ -19,4 +19,4 @@
cp ../simple/*.v .
DOLLAR='?'
-exec ${MAKE:-make} -f ../tools/autotest.mk $seed *.v EXTRA_FLAGS="-p 'hierarchy; synth -run coarse; techmap; opt -full; abc9 -lut 4; stat; check -assert; select -assert-none t:${DOLLAR}_NOT_ t:${DOLLAR}_AND_'"
+exec ${MAKE:-make} -f ../tools/autotest.mk $se... | bash |
d_bash_16184 | ---
+++
@@ -9,9 +9,9 @@
if [ -z "$RID" ]; then
if [ "$UNAME" == "Darwin" ]; then
export OSNAME=osx
- if [ -n "$(sw_vers -productVersion | grep 10.10.)" ]; then
+ if [ -n "$(sw_vers -productVersion | grep 10.10)" ]; then
export RID=osx.10.10-x64
- elif [ -n "$(sw_vers -... | bash |
d_bash_16185 | ---
+++
@@ -9,7 +9,7 @@
if _ant_does_target_list_need_generating; then
ant -p | awk -F " " 'NR > 5 { print lastTarget }{lastTarget = $1}' > .ant_targets
fi
- compadd `cat .ant_targets`
+ compadd -- `cat .ant_targets`
fi
}
| bash |
d_bash_16186 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
set -o pipefail
-./docker-machine -D create -d virtualbox --virtualbox-import-boot2docker-vm boot2docker-vm default | sed -e '/BEGIN/,/END/d'
+./docker-machine -D create -d virtualbox --virtualbox-memory 2048 --virtualbox-import-boot2docker-vm boot2docker-vm default | sed -e '/... | bash |
d_bash_16187 | ---
+++
@@ -1,14 +1,15 @@
#!/usr/bin/env bash
-OVERRIDES_DIR=${OVERRIDES_DIR:-/overrides}
-IFS=':' read -r -a HADOOP_OVERRIDES_DIRS <<< "${OVERRIDES_DIR}"
+# test whether OVERRIDES_DIR is set
+if [[ -n "${OVERRIDES_DIR+x}" ]]; then
+ echo "The OVERRIDES_DIR (${OVERRIDES_DIR}) support is disabled as it was deeme... | bash |
d_bash_16188 | ---
+++
@@ -12,23 +12,30 @@
# Function to show full path of specified sub-path (or current directory).
lll ()
{
- if [ "${1:0:1}" == '/' ]
- then
- ls --color=auto -ld "$1"
- else
- ls --color=auto -ld "$(pwd)/$1"
- fi
+
+ for ITEM in "$@"
+ do
+ if [ "${ITEM:0:1}" == '/' ]
+... | bash |
d_bash_16189 | ---
+++
@@ -13,3 +13,7 @@
# clear the terminal screen & delete scrollback
alias clear="\clear;printf '\e[3J' && printf '\e]50;ClearScrollback\a'"
+
+function ze () {
+ $(z $1 && e)
+} | bash |
d_bash_16190 | ---
+++
@@ -22,6 +22,8 @@
export HOSTNAME="`hostname`"
+export CDPATH=$CDPATH:$PROJECTS
+
# workaround for Karmic - http://bit.ly/T8MIc
export GDK_NATIVE_WINDOWS=true
| bash |
d_bash_16191 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh
if [ $# -lt 1 ] ; then
- echo "usage : $(basename $0) x.y";
+ echo "usage : $(basename $0) x.y.z";
exit -1
fi
| bash |
d_bash_16192 | ---
+++
@@ -16,10 +16,7 @@
git rm -rf .
cd -
-echo "${HTML_PATH}"
-ls "${HTML_PATH}"
-
-if [ -d "${HTML_PATH}"] && [ -f "${HTML_PATH}/index.html" ]; then
+if [ -d "${HTML_PATH}" ]; then
# copy the newly created documents into the gh-pages docs folder.
cp -R "${HTML_PATH}" "${DOCS_PATH}"
| bash |
d_bash_16193 | ---
+++
@@ -13,6 +13,12 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+# Install monitoring and logging agents
+curl -sSO https://dl.google.com/cloudagents/install-logging-agent.sh
+bash install-logging-agent.sh
+curl -sSO https://repo.stackdriver.com/st... | bash |
d_bash_16194 | ---
+++
@@ -19,5 +19,6 @@
# Use >! and >>! to bypass.
# Aliases
+alias d='dirs -v'
for index ({1..9}) alias "$index"="cd +${index}"; unset index
| bash |
d_bash_16195 | ---
+++
@@ -11,6 +11,10 @@
# Create README.md
touch README.md
+workingdir=$(pwd)
+
+cd "${0%/*}"
+
# Get options
while getopts l: option
do
@@ -21,6 +25,6 @@
done
if [ "$license" ]; then
- cat ../licenses/MIT.txt >> ./LICENSE
+ cat ./licenses/MIT.txt >> "$workingdir/LICENSE"
fi
| bash |
d_bash_16196 | ---
+++
@@ -36,6 +36,10 @@
fi
}
+ strip(){
+ replace ${1} ${2}
+ }
+
toLowerCase(){
local str=${1}
| bash |
d_bash_16197 | ---
+++
@@ -6,7 +6,7 @@
args=()
if [ "$system_os" == "LINUX" ] ; then
- args+=('--cov' '--doctest-modules')
+ args+=('--cov' '--cov-fail-under=100' '--doctest-modules')
fi
python3 -m pytest "${args[@]}" | bash |
d_bash_16198 | ---
+++
@@ -1,4 +1,5 @@
#!/usr/bin/env bash
+set -e
rm -fr build
mkdir -p build | bash |
d_bash_16199 | ---
+++
@@ -12,8 +12,10 @@
brew cask install webp-quicklook
# applications
- brew cask install google-chrome
+ brew cask install dropbox
+ brew cask install transmission
brew cask install macvim
brew cask install iterm2-nightly
brew cask install rowanj-gitx
+ brew cask install v... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.